# Class Tile

- Defined in lib/five/model/tile3d/tile.ts:23

##### Index

### Constructors

constructor

### Properties

boundingVolume?
children
content
contentParent
extras
floor
geometricError
id
level
levelOfContent
parent
refine
state
tileset
transform
type
viewerRequestVolume?

### Accessors

contentAvailable
contentByteLength
contentMemoryUsage
contentReady
hasChildren
hasEmptyContent
hasRenderContent
hasTilesetContent
hasUnloadedContent
selected
siblingIndex

### Methods

getPriority
getScreenSpaceError
traverse
updateState

## Constructors

### constructor

- new Tile(id: string, header: TileHeader, tileset: Tileset, parent?: Tile): Tile

  #### Parameters

  - id: string
  - header: TileHeader
  - tileset: Tileset
  - `Optional` parent: Tile

  #### Returns Tile

  - Defined in lib/five/model/tile3d/tile.ts:81

## Properties

### `Optional` boundingVolume

boundingVolume?: BoundingVolume

- Defined in lib/five/model/tile3d/tile.ts:54

### children

children: Tile[]

- Defined in lib/five/model/tile3d/tile.ts:57

### content

content:
| {
byteLength: number;
data?: TileContentData;
group?: number;
loadfailRetryDelay: number;
loadProgress: number;
loadState: "LOADING"
| "UNLOADED"
| "READY"
| "FAILED";
loadStateUpdateTime: number;
memoryUsage: number;
uri: string;
}
| null

- Defined in lib/five/model/tile3d/tile.ts:34

### contentParent

contentParent: Tile | null = null

- Defined in lib/five/model/tile3d/tile.ts:29

### extras

extras: Record<string, any>

- Defined in lib/five/model/tile3d/tile.ts:51

### floor

floor: number = 0

- Defined in lib/five/model/tile3d/tile.ts:32

### geometricError

geometricError: number

- Defined in lib/five/model/tile3d/tile.ts:30

### id

id: string

- Defined in lib/five/model/tile3d/tile.ts:25

### level

level: number

- Defined in lib/five/model/tile3d/tile.ts:48

### levelOfContent

levelOfContent: number

- Defined in lib/five/model/tile3d/tile.ts:49

### parent

parent: Tile | null = null

- Defined in lib/five/model/tile3d/tile.ts:28

### refine

refine: "REPLACE" | "ADD" | undefined

- Defined in lib/five/model/tile3d/tile.ts:53

### state

state: {
ancestorWithContent: Tile | null;
ancestorWithContentAvailable: Tile | null;
centerScreenY: number;
centerZDepth: number;
distanceToCamera: number;
finalResolution: boolean;
frameNumber: number;
inRequestVolume: boolean;
lastSelect: boolean;
requestedFrameNumber: number;
screenSpaceError: number;
selectedFrameNumber: number;
selectionDepth: number;
shouldRefine: boolean;
shouldSelect: boolean;
stackLength: number;
touchedFrameNumber: number;
visibilityPlaneMask: number;
visible: boolean;
}

- Defined in lib/five/model/tile3d/tile.ts:59

### tileset

tileset: Tileset

- Defined in lib/five/model/tile3d/tile.ts:26

### transform

transform: Matrix4

- Defined in lib/five/model/tile3d/tile.ts:56

### type

type: "SCENEGRAPH" | "EMPTY" | "TILESET"

- Defined in lib/five/model/tile3d/tile.ts:31

### `Optional` viewerRequestVolume

viewerRequestVolume?: BoundingVolume

- Defined in lib/five/model/tile3d/tile.ts:55

## Accessors

### contentAvailable

- get contentAvailable(): boolean

  #### Returns boolean

  - Defined in lib/five/model/tile3d/tile.ts:276

### contentByteLength

- get contentByteLength(): number

  #### Returns number

  - Defined in lib/five/model/tile3d/tile.ts:292

### contentMemoryUsage

- get contentMemoryUsage(): number

  #### Returns number

  - Defined in lib/five/model/tile3d/tile.ts:299

### contentReady

- get contentReady(): boolean

  #### Returns boolean

  - Defined in lib/five/model/tile3d/tile.ts:288

### hasChildren

- get hasChildren(): boolean

  #### Returns boolean

  - Defined in lib/five/model/tile3d/tile.ts:260

### hasEmptyContent

- get hasEmptyContent(): boolean

  #### Returns boolean

  - Defined in lib/five/model/tile3d/tile.ts:284

### hasRenderContent

- get hasRenderContent(): boolean

  #### Returns boolean

  - Defined in lib/five/model/tile3d/tile.ts:272

### hasTilesetContent

- get hasTilesetContent(): boolean

  #### Returns boolean

  - Defined in lib/five/model/tile3d/tile.ts:268

### hasUnloadedContent

- get hasUnloadedContent(): boolean

  #### Returns boolean

  - Defined in lib/five/model/tile3d/tile.ts:280

### selected

- get selected(): boolean

  #### Returns boolean

  - Defined in lib/five/model/tile3d/tile.ts:256

### siblingIndex

- get siblingIndex(): number

  #### Returns number

  - Defined in lib/five/model/tile3d/tile.ts:264

## Methods

### getPriority

- getPriority(frameState: TilesetFrameState): number

  #### Parameters

  - frameState: TilesetFrameState

  #### Returns number

  - Defined in lib/five/model/tile3d/tile.ts:336

### getScreenSpaceError

- getScreenSpaceError(
  frameState: TilesetFrameState,
  distanceToCamera: number,
  useParentGeometricError: boolean,
  ): number

  #### Parameters

  - frameState: TilesetFrameState
  - distanceToCamera: number
  - useParentGeometricError: boolean

  #### Returns number

  - Defined in lib/five/model/tile3d/tile.ts:306

### traverse

- traverse(callback: (tile: Tile) => void): void

  #### Parameters

  - callback: (tile: Tile) => void

  #### Returns void

  - Defined in lib/five/model/tile3d/tile.ts:188

### updateState

- updateState(frameState: TilesetFrameState): void

  #### Parameters

  - frameState: TilesetFrameState

  #### Returns void

  - Defined in lib/five/model/tile3d/tile.ts:195